/*------------------------------------*\
    #Timeline Styles
\*------------------------------------*/

.#{$inuit-namespace}menu-timeline,
%#{$inuit-namespace}menu-timeline {
    ol {
        @extend %o-list-bare;
    }

    a {
        text-decoration: none;
    }
}
.c-page-timeline {
    overflow:hidden;
}
// adapt grid position
.#{$inuit-namespace}page-body__column--main-timeline,
%#{$inuit-namespace}page-body__column--main-timeline {

    margin-top: 4rem;
    min-height: 850px;
    @media #{$large-up} {
        @include grid-column(
            $push: 0
        );
        margin-top: 110px;
    }
    &.c-menu-timeline-no-aside {
        @media #{$large-up} {
            width: 80%;
            left: 10%;
            margin-top: 140px;
        }
    }
}

.#{$inuit-namespace}page-body__column--aside-timeline,
%#{$inuit-namespace}page-body__column--aside-timeline {

    @media #{$large-up} {

        @include grid-column(
            $columns: 6,
            $push: 0
        );
    }
}

.#{$inuit-namespace}timeline__article-container,
%#{$inuit-namespace}timeline__article-container {
    min-height: 650px;
}


.#{$inuit-namespace}timeline-article,
%#{$inuit-namespace}timeline-article {
    display: none;
    &--is-active {
        display: block;
    }
    img {
        display:block;
    }
}

.#{$inuit-namespace}timeline-spinner,
%#{$inuit-namespace}timeline-spinner {
    background: url('/typo3conf/ext/drk_template/Resources/Public/Images/ajax-loader.gif') 0 0 no-repeat;
    width: 30px;
    height: 30px;
    margin: 25% 25% 25% 50%;
    display: none;
}

/*------------------------------------*\
    #Timeline Top
\*------------------------------------*/

.#{$inuit-namespace}menu-timeline-top,
%#{$inuit-namespace}menu-timeline-top {

    text-align: center;
    height: 5rem;

    @media #{$small-only} {
        height: 1.25rem;
    }

    @media #{$small-up} {
        font-size: $inuit-font-size-small * 2;
    }

    @media #{$medium-up} {
        font-size: $inuit-font-size-small;
    }
}

.#{$inuit-namespace}menu-timeline-top__baseline,
%#{$inuit-namespace}menu-timeline-top__baseline {
    height: 2px;
    background-color: $frs-color-black;
    width: 100%;
    position: absolute;
    top: $inuit-base-line-height;
    left: 0;
}

.#{$inuit-namespace}menu-timeline-top__scale,
%#{$inuit-namespace}menu-timeline-top__scale {
    height: 35px;
    background-color: $frs-color-black;
    width: 1px;
    position: absolute;
    top: 10px;
    left: 50%;
}

.#{$inuit-namespace}menu-timeline-top--desktop,
%#{$inuit-namespace}menu-timeline-top--desktop {

    margin-top: 1rem;
    display: inline-block;
    position: relative;

    > ol {
        > li {
            float: left;
            position: relative;
            padding: 0 1rem;
        }
    }
    @media #{$small-only} {
        display: none;
    }
}

.#{$inuit-namespace}menu-timeline-top__item,
%#{$inuit-namespace}menu-timeline-top__item {

    display: block;
    margin-top: -15px;
    color: $frs-color-black;

    &--even {
        margin-top: 45px;
    }

    &--is-active {

        color: $frs-color-light-red;

        > .c-menu-timeline-top__indicator {
            opacity: 1;
        }
    }
}

.#{$inuit-namespace}menu-timeline-top__indicator,
%#{$inuit-namespace}menu-timeline-top__indicator,
.#{$inuit-namespace}menu-timeline-left__indicator,
%#{$inuit-namespace}menu-timeline-left__indicator {

    position: absolute;
    background-color: $frs-color-light-red;
    border-radius: 50%;
    width: 13px;
    height: 13px;
    left: 27px;
    top: 21px;
    opacity: 0;
}

.#{$inuit-namespace}menu-timeline-top--mobile,
%#{$inuit-namespace}menu-timeline-top--mobile {
    display: none;

    > span {
        font-size: $inuit-font-size-small * 1.2;
        line-height: 1;
    }

    @media #{$small-only} {
        display: inline-block;

        select {
            font-size: inherit;
        }
    }
}

/*------------------------------------*\
    #Timeline Left
\*------------------------------------*/

.#{$inuit-namespace}menu-timeline-left,
%#{$inuit-namespace}menu-timeline-left {

    margin-top: 2rem;

    @media #{$small-only} {
        max-height: 3rem;
        margin-top: 5rem;
    }

    @media #{$medium-only} {
        margin-top: 4rem;
    }

    @media #{$small-up} {
        font-size: $inuit-font-size-small * 2;
    }

    @media #{$large-up} {
        font-size: $inuit-font-size-small;
    }
}

.#{$inuit-namespace}menu-timeline-left__section,
%#{$inuit-namespace}menu-timeline-left__section {

    position: absolute;
    display: none;

    > li {
        display: inline-block;
        float: left;
        padding: 17px 0;
    }

    > a {

        display: inline-block;
        position: absolute;
        top: 0;
        width: 40px;
        height: 40px;
        text-indent: -9999px;
        background-color: $white;
        background-size: rem-calc(16 16);
        background-position: center center;

        &:first-of-type {
            @extend %icon--arrow-left;
            left: 20px;
        }

        &:last-of-type {
            @extend %icon--arrow-right;
            right: 60px;
        }
    }

    @media #{$small-only} {
        width: 100%;
    }

    @media #{$medium-only} {
        width: 100%;
    }

    @media #{$large-up} {

        > li {
            position: relative;
            float: none;
            display: inline-block;
            width: 100%;
        }

        > a {
            display: none;
            top: -30000px;
        }
    }
}
.c-menu-timeline-no-aside .c-menu-timeline-left__section {
    display:inline-block;
    @media #{$large-up} {
        display:none;
    }
}
.#{$inuit-namespace}menu-timeline-left__item,
%#{$inuit-namespace}menu-timeline-left__item {

    color: $frs-color-black;
    display: none;
    position: absolute;
    padding: 10px 0;
    left: 50%;
    margin-left: -54px;
    top: -10px;

    &--is-active {
        display: block;
        color: $frs-color-light-red;
    }

    @media #{$large-up} {

        display: block;
        left: 10px;
        top: 0;
        margin-left: 0;

        &--is-active {

            display: inline-block;

            > .c-menu-timeline-left__indicator {
                opacity: 1;
            }

            > .c-menu-timeline-left__scale {
                width: 90px;
                background-color: $frs-color-light-red;
            }
        }
    }
}

.#{$inuit-namespace}menu-timeline-left__baseline,
%#{$inuit-namespace}menu-timeline-left__baseline {

    @media #{$small-up} {
        display: none;
    }

    @media #{$large-up} {
        display: inline-block;
        width: 2px;
        height: 110%;
        position: absolute;
        left: 0;
        top: 1rem;
        background-color: $frs-color-black;
    }
}

.#{$inuit-namespace}menu-timeline-left__scale,
%#{$inuit-namespace}menu-timeline-left__scale {

    @media #{$small-up} {
        display: none;
    }

    @media #{$large-up} {
        display: inline-block;
        height: 1px;
        background-color: $frs-color-black;
        width: 55px;
        position: absolute;
        top: 32px;
        left: -10px;
    }
}

.#{$inuit-namespace}menu-timeline-left__indicator,
%#{$inuit-namespace}menu-timeline-left__indicator {

    @media #{$small-up} {
        display: none;
    }

    @media #{$large-up} {
        display: inline-block;
        top: 25px;
        left: -15px;
        z-index: 500;
    }
}

.c-menu-timeline-left__section > a {
    background-size: 100%;
    width: 50px;
    height: 50px;
}
.c-menu-timeline-left__section>a:last-of-type {
    right: -138px !important;
    top: 265px !important;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    display: block !important;
}
.c-menu-timeline-left__section>a:first-of-type {
    left: 120px !important;
    top: 145px !important;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    display: block !important;
}
.c-menu-timeline-left__section > a {
    background-size: 100%;
    width: 50px;
    height: 50px;
}
.c-menu-timeline-left__section>a:last-of-type {
    left: 120px !important;
    top: 265px !important;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    display: block !important;
}
.c-menu-timeline-left__section>a:first-of-type {
    left: 120px !important;
    top: 145px !important;
    -ms-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    display: block !important;
}
/*
 * Zeitstrahl Responsive
 */

.c-menu-timeline-previous,
.c-menu-timeline-next {
    display: none;
}

/* White Gradient */
aside.c-page-body__column.c-page-body__column--aside.c-page-body__column--aside-timeline:after,
.c-menu-timeline.c-menu-timeline-top--mobile.c-menu-timeline-no-aside:after,
.c-menu-timeline-no-aside .c-menu-timeline-top--desktop:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 60px;
    background: red;
    z-index: 60;
    pointer-events: none;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#ffffff+0,ffffff+100&0+0,1+85,1+85 */
    background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 85%, rgba(255,255,255,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 85%,rgba(255,255,255,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 85%,rgba(255,255,255,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=1 ); /* IE6-9 */
}

/* White Gradient */
aside.c-page-body__column.c-page-body__column--aside.c-page-body__column--aside-timeline:before,
.c-menu-timeline.c-menu-timeline-top--mobile.c-menu-timeline-no-aside:before,
.c-menu-timeline-no-aside .c-menu-timeline-top--desktop:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 60px;
    background: red;
    z-index: 60;
    pointer-events: none;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#ffffff+0,ffffff+100&1+15,1+15,0+100 */
    background: -moz-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 15%, rgba(255,255,255,0) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 15%,rgba(255,255,255,0) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 15%,rgba(255,255,255,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#00ffffff',GradientType=1 ); /* IE6-9 */
}

/* Chevrons */
.c-menu-timeline-left__section>a:first-of-type,
.c-menu-timeline-left__section>a:last-of-type {
    display: none;
}

.c-menu-timeline-chevron-wrapper {
    max-width: 180px;
    margin: 0 auto;
    padding-top: 15px;
}
.c-menu-timeline-first,
.c-menu-timeline-previous,
.c-menu-timeline-next,
.c-menu-timeline-last {
    height: 32px;
    width: 85px;
    background: $frs-color-blue;
    position: relative;
}
.c-menu-timeline-first,
.c-menu-timeline-previous {
    float: left;
}
.c-menu-timeline-next,
.c-menu-timeline-last {
    float: right;
}

.c-menu-timeline-chevron {
    width: 14px;
    height: 22px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -7px;
    margin-top: -11px;
}
.c-menu-timeline-first,
.c-menu-timeline-last {
    .c-menu-timeline-chevron {
        width:28px;
        left: 44%;
        svg {
            float: left;
            width: 14px;
        }
    }
}
.c-menu-timeline-first .c-menu-timeline-chevron,
.c-menu-timeline-previous .c-menu-timeline-chevron {
    transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
}

@media only screen and (max-width: 64.0625em) {

    .c-page-body__column--aside {
        position: relative;
        margin-top: 40px;
        overflow: hidden;
    }

    .c-menu-timeline c-menu-timeline-left {
        height: 200px;
    }

    .c-menu-timeline-left {
        margin-top: 50px;
        margin-bottom: 40px;
        max-height: none;
        font-size: 19px;
    }

    .c-menu-timeline-left__item {
        background: #dedede;
        position: relative;
        left: auto;
        margin-left: 0;
        display: block;
        padding: 5px 20px 3px;
    }

    .c-menu-timeline-left__item.c-menu-timeline-left__item--is-active {
        background: $frs-color-blue;
        color: #ffffff;
    }

    .c-menu-timeline-left__section>li {
        float: none;
        padding: 17px 0 0;
    }

    .c-menu-timeline-left__section {
        white-space: nowrap;
        position: absolute;
        left: 0;
        top: 0;
        width: auto;
        margin-bottom: 0 !important;
    }

}

.c-menu-timeline-top.c-menu-timeline-no-aside {
    font-size: $inuit-font-size-small;
    height:12rem;
    @media #{$small-only} {
        height: 5rem;
    }
    @media #{$small-up} {
        font-size: $inuit-font-size-small;
    }
    @media #{$medium-up} {
        font-size: $inuit-font-size-small;
    }
    .c-menu-timeline-top--desktop {
        display:inline-block;
        position: relative;
        margin-top: 40px;
        overflow: hidden;
        height: 150px;
        width: 100%;
        ol {
            white-space: nowrap;
            position: absolute;
            left: 46.5%;
            top: 50px;
            width: 1000%;
            margin-bottom: 0;
        }
    }
    .c-menu-timeline-top__baseline {
        display: inline-block;
        width: 1000%;
        height: 2px;
        position: absolute;
        left: 46.5%;
        top: 76px;
        background-color: $frs-color-black;
    }
    .c-menu-timeline-top__indicator, .c-menu-timeline-left__indicator {
        left:41.5%;
    }
    .c-menu-timeline-top__baseline,
    ol {
        transition: left 500ms ease 0s;
    }
    .c-menu-timeline-chevron-wrapper {
        width: auto;
        max-width:none;
        display: inline-block;
        .c-menu-timeline-first,
        .c-menu-timeline-previous,
        .c-menu-timeline-next,
        .c-menu-timeline-last {
            display:block;
            float:left;
            margin:0 0.5rem;
            opacity: 1;
            cursor: pointer;
            &.not-active {
                opacity: 0;
                cursor: default;
            }
            @media #{$small-only} {
                margin: 0 0.25rem;
                width:55px;
            }
        }
    }
}
.c-page-body__column--main-timeline.c-menu-timeline-no-aside {
     margin-top: 12rem;
    @media #{$medium-up} {
        margin-top: 4rem;
    }
 }
